LatentModel< copulaPolicyImpl >::FactorSampler< RandomSequenceGenerator< PolarStudentTRng< URNG > >, dummy > Class Template Reference

Specialization for direct T samples generation. More...

`#include <ql/experimental/math/latentmodel.hpp>`

## Public Types

typedef Sample< std::vector< Real > > | sample_type

## Public Member Functions

| FactorSampler (const TCopulaPolicy &copula, BigNatural seed=0)
const sample_type & | nextSequence () const

## Detailed Description

### template<class copulaPolicyImpl>
template<class URNG, bool dummy>
class QuantLib::LatentModel< copulaPolicyImpl >::FactorSampler< RandomSequenceGenerator< PolarStudentTRng< URNG > >, dummy >

Specialization for direct T samples generation.

  The PolarT is a rejection algorithm so do not use it within a multithreaded simulation. The RandomSequenceGenerator class does not admit heterogeneous distribution samples so theres a trick here since the template parameter is not what it is used internally.